Chapter 40. NodeService
40.1. ExportNodes Copy linkLink copied to clipboard!
GET /v1/export/nodes
40.1.1. Description Copy linkLink copied to clipboard!
40.1.2. Parameters Copy linkLink copied to clipboard!
40.1.2.1. Query Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| timeout | - | null | ||
| query | - | null |
40.1.3. Return Type Copy linkLink copied to clipboard!
40.1.4. Content Type Copy linkLink copied to clipboard!
- application/json
40.1.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response.(streaming responses) | |
| 0 | An unexpected error response. |
40.1.6. Samples Copy linkLink copied to clipboard!
40.1.7. Common object reference Copy linkLink copied to clipboard!
40.1.7.1. CVSSV2AccessComplexity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ACCESS_HIGH |
| ACCESS_MEDIUM |
| ACCESS_LOW |
40.1.7.2. CVSSV2Authentication Copy linkLink copied to clipboard!
| Enum Values |
|---|
| AUTH_MULTIPLE |
| AUTH_SINGLE |
| AUTH_NONE |
40.1.7.3. CVSSV3Complexity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| COMPLEXITY_LOW |
| COMPLEXITY_HIGH |
40.1.7.4. CVSSV3Privileges Copy linkLink copied to clipboard!
| Enum Values |
|---|
| PRIVILEGE_NONE |
| PRIVILEGE_LOW |
| PRIVILEGE_HIGH |
40.1.7.5. CVSSV3UserInteraction Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UI_NONE |
| UI_REQUIRED |
40.1.7.6. EmbeddedVulnerabilityVulnerabilityType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_VULNERABILITY |
| IMAGE_VULNERABILITY |
| K8S_VULNERABILITY |
| ISTIO_VULNERABILITY |
| NODE_VULNERABILITY |
| OPENSHIFT_VULNERABILITY |
40.1.7.7. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
40.1.7.7.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
40.1.7.8. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
40.1.7.9. RuntimeStreamError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| grpcCode | Integer | int32 | |||
| httpCode | Integer | int32 | |||
| message | String | ||||
| httpStatus | String | ||||
| details | List of ProtobufAny |
40.1.7.10. StorageCVEInfo Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cve | String | ||||
| summary | String | ||||
| link | String | ||||
| publishedOn | Date | This indicates the timestamp when the cve was first published in the cve feeds. | date-time | ||
| createdAt | Date | Time when the CVE was first seen in the system. | date-time | ||
| lastModified | Date | date-time | |||
| scoreVersion | V2, V3, UNKNOWN, | ||||
| cvssV2 | |||||
| cvssV3 | |||||
| references | List of StorageCVEInfoReference |
40.1.7.11. StorageCVEInfoReference Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| URI | String | ||||
| tags |
List of |
40.1.7.12. StorageCVEInfoScoreVersion Copy linkLink copied to clipboard!
| Enum Values |
|---|
| V2 |
| V3 |
| UNKNOWN |
40.1.7.13. StorageCVSSV2 Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| vector | String | ||||
| attackVector | ATTACK_LOCAL, ATTACK_ADJACENT, ATTACK_NETWORK, | ||||
| accessComplexity | ACCESS_HIGH, ACCESS_MEDIUM, ACCESS_LOW, | ||||
| authentication | AUTH_MULTIPLE, AUTH_SINGLE, AUTH_NONE, | ||||
| confidentiality | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| integrity | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| availability | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| exploitabilityScore | Float | float | |||
| impactScore | Float | float | |||
| score | Float | float | |||
| severity | UNKNOWN, LOW, MEDIUM, HIGH, |
40.1.7.14. StorageCVSSV2AttackVector Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ATTACK_LOCAL |
| ATTACK_ADJACENT |
| ATTACK_NETWORK |
40.1.7.15. StorageCVSSV2Impact Copy linkLink copied to clipboard!
| Enum Values |
|---|
| IMPACT_NONE |
| IMPACT_PARTIAL |
| IMPACT_COMPLETE |
40.1.7.16. StorageCVSSV2Severity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| LOW |
| MEDIUM |
| HIGH |
40.1.7.17. StorageCVSSV3 Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| vector | String | ||||
| exploitabilityScore | Float | float | |||
| impactScore | Float | float | |||
| attackVector | ATTACK_LOCAL, ATTACK_ADJACENT, ATTACK_NETWORK, ATTACK_PHYSICAL, | ||||
| attackComplexity | COMPLEXITY_LOW, COMPLEXITY_HIGH, | ||||
| privilegesRequired | PRIVILEGE_NONE, PRIVILEGE_LOW, PRIVILEGE_HIGH, | ||||
| userInteraction | UI_NONE, UI_REQUIRED, | ||||
| scope | UNCHANGED, CHANGED, | ||||
| confidentiality | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| integrity | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| availability | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| score | Float | float | |||
| severity | UNKNOWN, NONE, LOW, MEDIUM, HIGH, CRITICAL, |
40.1.7.18. StorageCVSSV3AttackVector Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ATTACK_LOCAL |
| ATTACK_ADJACENT |
| ATTACK_NETWORK |
| ATTACK_PHYSICAL |
40.1.7.19. StorageCVSSV3Impact Copy linkLink copied to clipboard!
| Enum Values |
|---|
| IMPACT_NONE |
| IMPACT_LOW |
| IMPACT_HIGH |
40.1.7.20. StorageCVSSV3Scope Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNCHANGED |
| CHANGED |
40.1.7.21. StorageCVSSV3Severity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| NONE |
| LOW |
| MEDIUM |
| HIGH |
| CRITICAL |
40.1.7.22. StorageContainerRuntime Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_CONTAINER_RUNTIME |
| DOCKER_CONTAINER_RUNTIME |
| CRIO_CONTAINER_RUNTIME |
40.1.7.23. StorageContainerRuntimeInfo Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| type | UNKNOWN_CONTAINER_RUNTIME, DOCKER_CONTAINER_RUNTIME, CRIO_CONTAINER_RUNTIME, | ||||
| version | String |
40.1.7.24. StorageEmbeddedNodeScanComponent Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| name | String | ||||
| version | String | ||||
| vulns | List of StorageEmbeddedVulnerability | ||||
| vulnerabilities | List of StorageNodeVulnerability | ||||
| priority | String | int64 | |||
| topCvss | Float | float | |||
| riskScore | Float | float |
40.1.7.25. StorageEmbeddedVulnerability Copy linkLink copied to clipboard!
Next Tag: 21
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cve | String | ||||
| cvss | Float | float | |||
| summary | String | ||||
| link | String | ||||
| fixedBy | String | ||||
| scoreVersion | V2, V3, | ||||
| cvssV2 | |||||
| cvssV3 | |||||
| publishedOn | Date | date-time | |||
| lastModified | Date | date-time | |||
| vulnerabilityType | UNKNOWN_VULNERABILITY, IMAGE_VULNERABILITY, K8S_VULNERABILITY, ISTIO_VULNERABILITY, NODE_VULNERABILITY, OPENSHIFT_VULNERABILITY, | ||||
| vulnerabilityTypes | |||||
| suppressed | Boolean | ||||
| suppressActivation | Date | date-time | |||
| suppressExpiry | Date | date-time | |||
| firstSystemOccurrence | Date | Time when the CVE was first seen, for this specific distro, in the system. | date-time | ||
| firstImageOccurrence | Date | Time when the CVE was first seen in this image. | date-time | ||
| severity | UNKNOWN_VULNERABILITY_SEVERITY, LOW_VULNERABILITY_SEVERITY, MODERATE_VULNERABILITY_SEVERITY, IMPORTANT_VULNERABILITY_SEVERITY, CRITICAL_VULNERABILITY_SEVERITY, | ||||
| state | OBSERVED, DEFERRED, FALSE_POSITIVE, |
40.1.7.26. StorageEmbeddedVulnerabilityScoreVersion Copy linkLink copied to clipboard!
| Enum Values |
|---|
| V2 |
| V3 |
40.1.7.27. StorageNode Copy linkLink copied to clipboard!
Node represents information about a node in the cluster. next available tag: 28
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | A unique ID identifying this node. | |||
| name | String | The (host)name of the node. Might or might not be the same as ID. | |||
| taints | List of StorageTaint | ||||
| clusterId | String | ||||
| clusterName | String | ||||
| labels |
Map of | ||||
| annotations |
Map of | ||||
| joinedAt | Date | date-time | |||
| internalIpAddresses |
List of | ||||
| externalIpAddresses |
List of | ||||
| containerRuntimeVersion | String | ||||
| containerRuntime | |||||
| kernelVersion | String | ||||
| operatingSystem | String | From NodeInfo. Operating system reported by the node (ex: linux). | |||
| osImage | String | From NodeInfo. OS image reported by the node from /etc/os-release. | |||
| kubeletVersion | String | ||||
| kubeProxyVersion | String | ||||
| lastUpdated | Date | date-time | |||
| k8sUpdated | Date | Time we received an update from Kubernetes. | date-time | ||
| scan | |||||
| components | Integer | int32 | |||
| cves | Integer | int32 | |||
| fixableCves | Integer | int32 | |||
| priority | String | int64 | |||
| riskScore | Float | float | |||
| topCvss | Float | float | |||
| notes | List of StorageNodeNote |
40.1.7.28. StorageNodeNote Copy linkLink copied to clipboard!
| Enum Values |
|---|
| MISSING_SCAN_DATA |
40.1.7.29. StorageNodeScan Copy linkLink copied to clipboard!
Next tag: 5
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| scanTime | Date | date-time | |||
| operatingSystem | String | ||||
| components | List of StorageEmbeddedNodeScanComponent | ||||
| notes | List of StorageNodeScanNote |
40.1.7.30. StorageNodeScanNote Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNSET |
| UNSUPPORTED |
| KERNEL_UNSUPPORTED |
| CERTIFIED_RHEL_CVES_UNAVAILABLE |
40.1.7.31. StorageNodeVulnerability Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cveBaseInfo | |||||
| cvss | Float | float | |||
| severity | UNKNOWN_VULNERABILITY_SEVERITY, LOW_VULNERABILITY_SEVERITY, MODERATE_VULNERABILITY_SEVERITY, IMPORTANT_VULNERABILITY_SEVERITY, CRITICAL_VULNERABILITY_SEVERITY, | ||||
| fixedBy | String | ||||
| snoozed | Boolean | ||||
| snoozeStart | Date | date-time | |||
| snoozeExpiry | Date | date-time |
40.1.7.32. StorageTaint Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| key | String | ||||
| value | String | ||||
| taintEffect | UNKNOWN_TAINT_EFFECT, NO_SCHEDULE_TAINT_EFFECT, PREFER_NO_SCHEDULE_TAINT_EFFECT, NO_EXECUTE_TAINT_EFFECT, |
40.1.7.33. StorageTaintEffect Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_TAINT_EFFECT |
| NO_SCHEDULE_TAINT_EFFECT |
| PREFER_NO_SCHEDULE_TAINT_EFFECT |
| NO_EXECUTE_TAINT_EFFECT |
40.1.7.34. StorageVulnerabilitySeverity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_VULNERABILITY_SEVERITY |
| LOW_VULNERABILITY_SEVERITY |
| MODERATE_VULNERABILITY_SEVERITY |
| IMPORTANT_VULNERABILITY_SEVERITY |
| CRITICAL_VULNERABILITY_SEVERITY |
40.1.7.35. StorageVulnerabilityState Copy linkLink copied to clipboard!
VulnerabilityState indicates if vulnerability is being observed or deferred(/suppressed). By default, it vulnerabilities are observed.
| Enum Values |
|---|
| OBSERVED |
| DEFERRED |
| FALSE_POSITIVE |
40.1.7.36. StreamResultOfV1ExportNodeResponse Copy linkLink copied to clipboard!
Stream result of v1ExportNodeResponse
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| result | |||||
| error |
40.1.7.37. V1ExportNodeResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| node |
40.2. ListNodes Copy linkLink copied to clipboard!
GET /v1/nodes/{clusterId}
40.2.1. Description Copy linkLink copied to clipboard!
40.2.2. Parameters Copy linkLink copied to clipboard!
40.2.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | X | null |
40.2.3. Return Type Copy linkLink copied to clipboard!
40.2.4. Content Type Copy linkLink copied to clipboard!
- application/json
40.2.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
40.2.6. Samples Copy linkLink copied to clipboard!
40.2.7. Common object reference Copy linkLink copied to clipboard!
40.2.7.1. CVSSV2AccessComplexity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ACCESS_HIGH |
| ACCESS_MEDIUM |
| ACCESS_LOW |
40.2.7.2. CVSSV2Authentication Copy linkLink copied to clipboard!
| Enum Values |
|---|
| AUTH_MULTIPLE |
| AUTH_SINGLE |
| AUTH_NONE |
40.2.7.3. CVSSV3Complexity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| COMPLEXITY_LOW |
| COMPLEXITY_HIGH |
40.2.7.4. CVSSV3Privileges Copy linkLink copied to clipboard!
| Enum Values |
|---|
| PRIVILEGE_NONE |
| PRIVILEGE_LOW |
| PRIVILEGE_HIGH |
40.2.7.5. CVSSV3UserInteraction Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UI_NONE |
| UI_REQUIRED |
40.2.7.6. EmbeddedVulnerabilityVulnerabilityType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_VULNERABILITY |
| IMAGE_VULNERABILITY |
| K8S_VULNERABILITY |
| ISTIO_VULNERABILITY |
| NODE_VULNERABILITY |
| OPENSHIFT_VULNERABILITY |
40.2.7.7. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
40.2.7.7.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
40.2.7.8. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
40.2.7.9. StorageCVEInfo Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cve | String | ||||
| summary | String | ||||
| link | String | ||||
| publishedOn | Date | This indicates the timestamp when the cve was first published in the cve feeds. | date-time | ||
| createdAt | Date | Time when the CVE was first seen in the system. | date-time | ||
| lastModified | Date | date-time | |||
| scoreVersion | V2, V3, UNKNOWN, | ||||
| cvssV2 | |||||
| cvssV3 | |||||
| references | List of StorageCVEInfoReference |
40.2.7.10. StorageCVEInfoReference Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| URI | String | ||||
| tags |
List of |
40.2.7.11. StorageCVEInfoScoreVersion Copy linkLink copied to clipboard!
| Enum Values |
|---|
| V2 |
| V3 |
| UNKNOWN |
40.2.7.12. StorageCVSSV2 Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| vector | String | ||||
| attackVector | ATTACK_LOCAL, ATTACK_ADJACENT, ATTACK_NETWORK, | ||||
| accessComplexity | ACCESS_HIGH, ACCESS_MEDIUM, ACCESS_LOW, | ||||
| authentication | AUTH_MULTIPLE, AUTH_SINGLE, AUTH_NONE, | ||||
| confidentiality | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| integrity | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| availability | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| exploitabilityScore | Float | float | |||
| impactScore | Float | float | |||
| score | Float | float | |||
| severity | UNKNOWN, LOW, MEDIUM, HIGH, |
40.2.7.13. StorageCVSSV2AttackVector Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ATTACK_LOCAL |
| ATTACK_ADJACENT |
| ATTACK_NETWORK |
40.2.7.14. StorageCVSSV2Impact Copy linkLink copied to clipboard!
| Enum Values |
|---|
| IMPACT_NONE |
| IMPACT_PARTIAL |
| IMPACT_COMPLETE |
40.2.7.15. StorageCVSSV2Severity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| LOW |
| MEDIUM |
| HIGH |
40.2.7.16. StorageCVSSV3 Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| vector | String | ||||
| exploitabilityScore | Float | float | |||
| impactScore | Float | float | |||
| attackVector | ATTACK_LOCAL, ATTACK_ADJACENT, ATTACK_NETWORK, ATTACK_PHYSICAL, | ||||
| attackComplexity | COMPLEXITY_LOW, COMPLEXITY_HIGH, | ||||
| privilegesRequired | PRIVILEGE_NONE, PRIVILEGE_LOW, PRIVILEGE_HIGH, | ||||
| userInteraction | UI_NONE, UI_REQUIRED, | ||||
| scope | UNCHANGED, CHANGED, | ||||
| confidentiality | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| integrity | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| availability | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| score | Float | float | |||
| severity | UNKNOWN, NONE, LOW, MEDIUM, HIGH, CRITICAL, |
40.2.7.17. StorageCVSSV3AttackVector Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ATTACK_LOCAL |
| ATTACK_ADJACENT |
| ATTACK_NETWORK |
| ATTACK_PHYSICAL |
40.2.7.18. StorageCVSSV3Impact Copy linkLink copied to clipboard!
| Enum Values |
|---|
| IMPACT_NONE |
| IMPACT_LOW |
| IMPACT_HIGH |
40.2.7.19. StorageCVSSV3Scope Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNCHANGED |
| CHANGED |
40.2.7.20. StorageCVSSV3Severity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| NONE |
| LOW |
| MEDIUM |
| HIGH |
| CRITICAL |
40.2.7.21. StorageContainerRuntime Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_CONTAINER_RUNTIME |
| DOCKER_CONTAINER_RUNTIME |
| CRIO_CONTAINER_RUNTIME |
40.2.7.22. StorageContainerRuntimeInfo Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| type | UNKNOWN_CONTAINER_RUNTIME, DOCKER_CONTAINER_RUNTIME, CRIO_CONTAINER_RUNTIME, | ||||
| version | String |
40.2.7.23. StorageEmbeddedNodeScanComponent Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| name | String | ||||
| version | String | ||||
| vulns | List of StorageEmbeddedVulnerability | ||||
| vulnerabilities | List of StorageNodeVulnerability | ||||
| priority | String | int64 | |||
| topCvss | Float | float | |||
| riskScore | Float | float |
40.2.7.24. StorageEmbeddedVulnerability Copy linkLink copied to clipboard!
Next Tag: 21
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cve | String | ||||
| cvss | Float | float | |||
| summary | String | ||||
| link | String | ||||
| fixedBy | String | ||||
| scoreVersion | V2, V3, | ||||
| cvssV2 | |||||
| cvssV3 | |||||
| publishedOn | Date | date-time | |||
| lastModified | Date | date-time | |||
| vulnerabilityType | UNKNOWN_VULNERABILITY, IMAGE_VULNERABILITY, K8S_VULNERABILITY, ISTIO_VULNERABILITY, NODE_VULNERABILITY, OPENSHIFT_VULNERABILITY, | ||||
| vulnerabilityTypes | |||||
| suppressed | Boolean | ||||
| suppressActivation | Date | date-time | |||
| suppressExpiry | Date | date-time | |||
| firstSystemOccurrence | Date | Time when the CVE was first seen, for this specific distro, in the system. | date-time | ||
| firstImageOccurrence | Date | Time when the CVE was first seen in this image. | date-time | ||
| severity | UNKNOWN_VULNERABILITY_SEVERITY, LOW_VULNERABILITY_SEVERITY, MODERATE_VULNERABILITY_SEVERITY, IMPORTANT_VULNERABILITY_SEVERITY, CRITICAL_VULNERABILITY_SEVERITY, | ||||
| state | OBSERVED, DEFERRED, FALSE_POSITIVE, |
40.2.7.25. StorageEmbeddedVulnerabilityScoreVersion Copy linkLink copied to clipboard!
| Enum Values |
|---|
| V2 |
| V3 |
40.2.7.26. StorageNode Copy linkLink copied to clipboard!
Node represents information about a node in the cluster. next available tag: 28
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | A unique ID identifying this node. | |||
| name | String | The (host)name of the node. Might or might not be the same as ID. | |||
| taints | List of StorageTaint | ||||
| clusterId | String | ||||
| clusterName | String | ||||
| labels |
Map of | ||||
| annotations |
Map of | ||||
| joinedAt | Date | date-time | |||
| internalIpAddresses |
List of | ||||
| externalIpAddresses |
List of | ||||
| containerRuntimeVersion | String | ||||
| containerRuntime | |||||
| kernelVersion | String | ||||
| operatingSystem | String | From NodeInfo. Operating system reported by the node (ex: linux). | |||
| osImage | String | From NodeInfo. OS image reported by the node from /etc/os-release. | |||
| kubeletVersion | String | ||||
| kubeProxyVersion | String | ||||
| lastUpdated | Date | date-time | |||
| k8sUpdated | Date | Time we received an update from Kubernetes. | date-time | ||
| scan | |||||
| components | Integer | int32 | |||
| cves | Integer | int32 | |||
| fixableCves | Integer | int32 | |||
| priority | String | int64 | |||
| riskScore | Float | float | |||
| topCvss | Float | float | |||
| notes | List of StorageNodeNote |
40.2.7.27. StorageNodeNote Copy linkLink copied to clipboard!
| Enum Values |
|---|
| MISSING_SCAN_DATA |
40.2.7.28. StorageNodeScan Copy linkLink copied to clipboard!
Next tag: 5
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| scanTime | Date | date-time | |||
| operatingSystem | String | ||||
| components | List of StorageEmbeddedNodeScanComponent | ||||
| notes | List of StorageNodeScanNote |
40.2.7.29. StorageNodeScanNote Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNSET |
| UNSUPPORTED |
| KERNEL_UNSUPPORTED |
| CERTIFIED_RHEL_CVES_UNAVAILABLE |
40.2.7.30. StorageNodeVulnerability Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cveBaseInfo | |||||
| cvss | Float | float | |||
| severity | UNKNOWN_VULNERABILITY_SEVERITY, LOW_VULNERABILITY_SEVERITY, MODERATE_VULNERABILITY_SEVERITY, IMPORTANT_VULNERABILITY_SEVERITY, CRITICAL_VULNERABILITY_SEVERITY, | ||||
| fixedBy | String | ||||
| snoozed | Boolean | ||||
| snoozeStart | Date | date-time | |||
| snoozeExpiry | Date | date-time |
40.2.7.31. StorageTaint Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| key | String | ||||
| value | String | ||||
| taintEffect | UNKNOWN_TAINT_EFFECT, NO_SCHEDULE_TAINT_EFFECT, PREFER_NO_SCHEDULE_TAINT_EFFECT, NO_EXECUTE_TAINT_EFFECT, |
40.2.7.32. StorageTaintEffect Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_TAINT_EFFECT |
| NO_SCHEDULE_TAINT_EFFECT |
| PREFER_NO_SCHEDULE_TAINT_EFFECT |
| NO_EXECUTE_TAINT_EFFECT |
40.2.7.33. StorageVulnerabilitySeverity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_VULNERABILITY_SEVERITY |
| LOW_VULNERABILITY_SEVERITY |
| MODERATE_VULNERABILITY_SEVERITY |
| IMPORTANT_VULNERABILITY_SEVERITY |
| CRITICAL_VULNERABILITY_SEVERITY |
40.2.7.34. StorageVulnerabilityState Copy linkLink copied to clipboard!
VulnerabilityState indicates if vulnerability is being observed or deferred(/suppressed). By default, it vulnerabilities are observed.
| Enum Values |
|---|
| OBSERVED |
| DEFERRED |
| FALSE_POSITIVE |
40.2.7.35. V1ListNodesResponse Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| nodes | List of StorageNode |
40.3. GetNode Copy linkLink copied to clipboard!
GET /v1/nodes/{clusterId}/{nodeId}
40.3.1. Description Copy linkLink copied to clipboard!
40.3.2. Parameters Copy linkLink copied to clipboard!
40.3.2.1. Path Parameters Copy linkLink copied to clipboard!
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
| clusterId | X | null | ||
| nodeId | X | null |
40.3.3. Return Type Copy linkLink copied to clipboard!
40.3.4. Content Type Copy linkLink copied to clipboard!
- application/json
40.3.5. Responses Copy linkLink copied to clipboard!
| Code | Message | Datatype |
|---|---|---|
| 200 | A successful response. | |
| 0 | An unexpected error response. |
40.3.6. Samples Copy linkLink copied to clipboard!
40.3.7. Common object reference Copy linkLink copied to clipboard!
40.3.7.1. CVSSV2AccessComplexity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ACCESS_HIGH |
| ACCESS_MEDIUM |
| ACCESS_LOW |
40.3.7.2. CVSSV2Authentication Copy linkLink copied to clipboard!
| Enum Values |
|---|
| AUTH_MULTIPLE |
| AUTH_SINGLE |
| AUTH_NONE |
40.3.7.3. CVSSV3Complexity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| COMPLEXITY_LOW |
| COMPLEXITY_HIGH |
40.3.7.4. CVSSV3Privileges Copy linkLink copied to clipboard!
| Enum Values |
|---|
| PRIVILEGE_NONE |
| PRIVILEGE_LOW |
| PRIVILEGE_HIGH |
40.3.7.5. CVSSV3UserInteraction Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UI_NONE |
| UI_REQUIRED |
40.3.7.6. EmbeddedVulnerabilityVulnerabilityType Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_VULNERABILITY |
| IMAGE_VULNERABILITY |
| K8S_VULNERABILITY |
| ISTIO_VULNERABILITY |
| NODE_VULNERABILITY |
| OPENSHIFT_VULNERABILITY |
40.3.7.7. ProtobufAny Copy linkLink copied to clipboard!
Any contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message.
Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type.
Example 1: Pack and unpack a message in C++.
Foo foo = ...;
Any any;
any.PackFrom(foo);
...
if (any.UnpackTo(&foo)) {
...
}
Example 2: Pack and unpack a message in Java.
Foo foo = ...;
Any any = Any.pack(foo);
...
if (any.is(Foo.class)) {
foo = any.unpack(Foo.class);
}
// or ...
if (any.isSameTypeAs(Foo.getDefaultInstance())) {
foo = any.unpack(Foo.getDefaultInstance());
}
Example 3: Pack and unpack a message in Python.
foo = Foo(...)
any = Any()
any.Pack(foo)
...
if any.Is(Foo.DESCRIPTOR):
any.Unpack(foo)
...
Example 4: Pack and unpack a message in Go
foo := &pb.Foo{...}
any, err := anypb.New(foo)
if err != nil {
...
}
...
foo := &pb.Foo{}
if err := any.UnmarshalTo(foo); err != nil {
...
}
The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z".
40.3.7.7.1. JSON representation Copy linkLink copied to clipboard!
The JSON representation of an Any value uses the regular representation of the deserialized, embedded message, with an additional field @type which contains the type URL. Example:
package google.profile;
message Person {
string first_name = 1;
string last_name = 2;
}
{
"@type": "type.googleapis.com/google.profile.Person",
"firstName": <string>,
"lastName": <string>
}
If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field value which holds the custom JSON in addition to the @type field. Example (for message [google.protobuf.Duration][]):
{
"@type": "type.googleapis.com/google.protobuf.Duration",
"value": "1.212s"
}
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| typeUrl | String |
A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one \"/\" character. The last segment of the URL’s path must represent the fully qualified name of the type (as in | |||
| value | byte[] | Must be a valid serialized protocol buffer of the above specified type. | byte |
40.3.7.8. RuntimeError Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| error | String | ||||
| code | Integer | int32 | |||
| message | String | ||||
| details | List of ProtobufAny |
40.3.7.9. StorageCVEInfo Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cve | String | ||||
| summary | String | ||||
| link | String | ||||
| publishedOn | Date | This indicates the timestamp when the cve was first published in the cve feeds. | date-time | ||
| createdAt | Date | Time when the CVE was first seen in the system. | date-time | ||
| lastModified | Date | date-time | |||
| scoreVersion | V2, V3, UNKNOWN, | ||||
| cvssV2 | |||||
| cvssV3 | |||||
| references | List of StorageCVEInfoReference |
40.3.7.10. StorageCVEInfoReference Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| URI | String | ||||
| tags |
List of |
40.3.7.11. StorageCVEInfoScoreVersion Copy linkLink copied to clipboard!
| Enum Values |
|---|
| V2 |
| V3 |
| UNKNOWN |
40.3.7.12. StorageCVSSV2 Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| vector | String | ||||
| attackVector | ATTACK_LOCAL, ATTACK_ADJACENT, ATTACK_NETWORK, | ||||
| accessComplexity | ACCESS_HIGH, ACCESS_MEDIUM, ACCESS_LOW, | ||||
| authentication | AUTH_MULTIPLE, AUTH_SINGLE, AUTH_NONE, | ||||
| confidentiality | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| integrity | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| availability | IMPACT_NONE, IMPACT_PARTIAL, IMPACT_COMPLETE, | ||||
| exploitabilityScore | Float | float | |||
| impactScore | Float | float | |||
| score | Float | float | |||
| severity | UNKNOWN, LOW, MEDIUM, HIGH, |
40.3.7.13. StorageCVSSV2AttackVector Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ATTACK_LOCAL |
| ATTACK_ADJACENT |
| ATTACK_NETWORK |
40.3.7.14. StorageCVSSV2Impact Copy linkLink copied to clipboard!
| Enum Values |
|---|
| IMPACT_NONE |
| IMPACT_PARTIAL |
| IMPACT_COMPLETE |
40.3.7.15. StorageCVSSV2Severity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| LOW |
| MEDIUM |
| HIGH |
40.3.7.16. StorageCVSSV3 Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| vector | String | ||||
| exploitabilityScore | Float | float | |||
| impactScore | Float | float | |||
| attackVector | ATTACK_LOCAL, ATTACK_ADJACENT, ATTACK_NETWORK, ATTACK_PHYSICAL, | ||||
| attackComplexity | COMPLEXITY_LOW, COMPLEXITY_HIGH, | ||||
| privilegesRequired | PRIVILEGE_NONE, PRIVILEGE_LOW, PRIVILEGE_HIGH, | ||||
| userInteraction | UI_NONE, UI_REQUIRED, | ||||
| scope | UNCHANGED, CHANGED, | ||||
| confidentiality | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| integrity | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| availability | IMPACT_NONE, IMPACT_LOW, IMPACT_HIGH, | ||||
| score | Float | float | |||
| severity | UNKNOWN, NONE, LOW, MEDIUM, HIGH, CRITICAL, |
40.3.7.17. StorageCVSSV3AttackVector Copy linkLink copied to clipboard!
| Enum Values |
|---|
| ATTACK_LOCAL |
| ATTACK_ADJACENT |
| ATTACK_NETWORK |
| ATTACK_PHYSICAL |
40.3.7.18. StorageCVSSV3Impact Copy linkLink copied to clipboard!
| Enum Values |
|---|
| IMPACT_NONE |
| IMPACT_LOW |
| IMPACT_HIGH |
40.3.7.19. StorageCVSSV3Scope Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNCHANGED |
| CHANGED |
40.3.7.20. StorageCVSSV3Severity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN |
| NONE |
| LOW |
| MEDIUM |
| HIGH |
| CRITICAL |
40.3.7.21. StorageContainerRuntime Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_CONTAINER_RUNTIME |
| DOCKER_CONTAINER_RUNTIME |
| CRIO_CONTAINER_RUNTIME |
40.3.7.22. StorageContainerRuntimeInfo Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| type | UNKNOWN_CONTAINER_RUNTIME, DOCKER_CONTAINER_RUNTIME, CRIO_CONTAINER_RUNTIME, | ||||
| version | String |
40.3.7.23. StorageEmbeddedNodeScanComponent Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| name | String | ||||
| version | String | ||||
| vulns | List of StorageEmbeddedVulnerability | ||||
| vulnerabilities | List of StorageNodeVulnerability | ||||
| priority | String | int64 | |||
| topCvss | Float | float | |||
| riskScore | Float | float |
40.3.7.24. StorageEmbeddedVulnerability Copy linkLink copied to clipboard!
Next Tag: 21
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cve | String | ||||
| cvss | Float | float | |||
| summary | String | ||||
| link | String | ||||
| fixedBy | String | ||||
| scoreVersion | V2, V3, | ||||
| cvssV2 | |||||
| cvssV3 | |||||
| publishedOn | Date | date-time | |||
| lastModified | Date | date-time | |||
| vulnerabilityType | UNKNOWN_VULNERABILITY, IMAGE_VULNERABILITY, K8S_VULNERABILITY, ISTIO_VULNERABILITY, NODE_VULNERABILITY, OPENSHIFT_VULNERABILITY, | ||||
| vulnerabilityTypes | |||||
| suppressed | Boolean | ||||
| suppressActivation | Date | date-time | |||
| suppressExpiry | Date | date-time | |||
| firstSystemOccurrence | Date | Time when the CVE was first seen, for this specific distro, in the system. | date-time | ||
| firstImageOccurrence | Date | Time when the CVE was first seen in this image. | date-time | ||
| severity | UNKNOWN_VULNERABILITY_SEVERITY, LOW_VULNERABILITY_SEVERITY, MODERATE_VULNERABILITY_SEVERITY, IMPORTANT_VULNERABILITY_SEVERITY, CRITICAL_VULNERABILITY_SEVERITY, | ||||
| state | OBSERVED, DEFERRED, FALSE_POSITIVE, |
40.3.7.25. StorageEmbeddedVulnerabilityScoreVersion Copy linkLink copied to clipboard!
| Enum Values |
|---|
| V2 |
| V3 |
40.3.7.26. StorageNode Copy linkLink copied to clipboard!
Node represents information about a node in the cluster. next available tag: 28
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| id | String | A unique ID identifying this node. | |||
| name | String | The (host)name of the node. Might or might not be the same as ID. | |||
| taints | List of StorageTaint | ||||
| clusterId | String | ||||
| clusterName | String | ||||
| labels |
Map of | ||||
| annotations |
Map of | ||||
| joinedAt | Date | date-time | |||
| internalIpAddresses |
List of | ||||
| externalIpAddresses |
List of | ||||
| containerRuntimeVersion | String | ||||
| containerRuntime | |||||
| kernelVersion | String | ||||
| operatingSystem | String | From NodeInfo. Operating system reported by the node (ex: linux). | |||
| osImage | String | From NodeInfo. OS image reported by the node from /etc/os-release. | |||
| kubeletVersion | String | ||||
| kubeProxyVersion | String | ||||
| lastUpdated | Date | date-time | |||
| k8sUpdated | Date | Time we received an update from Kubernetes. | date-time | ||
| scan | |||||
| components | Integer | int32 | |||
| cves | Integer | int32 | |||
| fixableCves | Integer | int32 | |||
| priority | String | int64 | |||
| riskScore | Float | float | |||
| topCvss | Float | float | |||
| notes | List of StorageNodeNote |
40.3.7.27. StorageNodeNote Copy linkLink copied to clipboard!
| Enum Values |
|---|
| MISSING_SCAN_DATA |
40.3.7.28. StorageNodeScan Copy linkLink copied to clipboard!
Next tag: 5
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| scanTime | Date | date-time | |||
| operatingSystem | String | ||||
| components | List of StorageEmbeddedNodeScanComponent | ||||
| notes | List of StorageNodeScanNote |
40.3.7.29. StorageNodeScanNote Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNSET |
| UNSUPPORTED |
| KERNEL_UNSUPPORTED |
| CERTIFIED_RHEL_CVES_UNAVAILABLE |
40.3.7.30. StorageNodeVulnerability Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| cveBaseInfo | |||||
| cvss | Float | float | |||
| severity | UNKNOWN_VULNERABILITY_SEVERITY, LOW_VULNERABILITY_SEVERITY, MODERATE_VULNERABILITY_SEVERITY, IMPORTANT_VULNERABILITY_SEVERITY, CRITICAL_VULNERABILITY_SEVERITY, | ||||
| fixedBy | String | ||||
| snoozed | Boolean | ||||
| snoozeStart | Date | date-time | |||
| snoozeExpiry | Date | date-time |
40.3.7.31. StorageTaint Copy linkLink copied to clipboard!
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
| key | String | ||||
| value | String | ||||
| taintEffect | UNKNOWN_TAINT_EFFECT, NO_SCHEDULE_TAINT_EFFECT, PREFER_NO_SCHEDULE_TAINT_EFFECT, NO_EXECUTE_TAINT_EFFECT, |
40.3.7.32. StorageTaintEffect Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_TAINT_EFFECT |
| NO_SCHEDULE_TAINT_EFFECT |
| PREFER_NO_SCHEDULE_TAINT_EFFECT |
| NO_EXECUTE_TAINT_EFFECT |
40.3.7.33. StorageVulnerabilitySeverity Copy linkLink copied to clipboard!
| Enum Values |
|---|
| UNKNOWN_VULNERABILITY_SEVERITY |
| LOW_VULNERABILITY_SEVERITY |
| MODERATE_VULNERABILITY_SEVERITY |
| IMPORTANT_VULNERABILITY_SEVERITY |
| CRITICAL_VULNERABILITY_SEVERITY |
40.3.7.34. StorageVulnerabilityState Copy linkLink copied to clipboard!
VulnerabilityState indicates if vulnerability is being observed or deferred(/suppressed). By default, it vulnerabilities are observed.
| Enum Values |
|---|
| OBSERVED |
| DEFERRED |
| FALSE_POSITIVE |